# ORTCoreMLExecutionProviderOptions Class Reference

# ORTCoreMLExecutionProviderOptions

Objective-C

    @interface ORTCoreMLExecutionProviderOptions : NSObject

Swift

    class ORTCoreMLExecutionProviderOptions : NSObject

Options for configuring the CoreML execution provider.

- `useCPUOnly`

  Whether the CoreML execution provider should run on CPU only.

  #### Declaration

  Objective-C

      @property BOOL useCPUOnly;

  Swift

      var useCPUOnly: Bool { get set }

- `enableOnSubgraphs`

  Whether the CoreML execution provider is enabled on subgraphs.

  #### Declaration

  Objective-C

      @property BOOL enableOnSubgraphs;

  Swift

      var enableOnSubgraphs: Bool { get set }

- `onlyEnableForDevicesWithANE`

  Whether the CoreML execution provider is only enabled for devices with Apple Neural Engine (ANE).

  #### Declaration

  Objective-C

      @property BOOL onlyEnableForDevicesWithANE;

  Swift

      var onlyEnableForDevicesWithANE: Bool { get set }

© 2022 ONNX Runtime Authors. All rights reserved. (Last updated: 2022-10-22)

Generated by jazzy ♪♫ v0.14.3, a Realm project.